Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBarDescriptor.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBarDescriptor.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBarDescriptor.java	(revision 43099)
@@ -125,6 +125,46 @@
             fieldValidator.setValidator(typeValidator);
         }
         desc.setValidator(fieldValidator);
+        
+        //-- _description
+        desc = new org.exolab.castor.xml.util.XMLFieldDescriptorImpl(java.lang.String.class, "_description", "description", org.exolab.castor.xml.NodeType.Attribute);
+        desc.setImmutable(true);
+        handler = (new org.exolab.castor.xml.XMLFieldHandler() {
+            public java.lang.Object getValue( java.lang.Object object ) 
+                throws IllegalStateException
+            {
+                ToolBar target = (ToolBar) object;
+                return target.getDescription();
+            }
+            public void setValue( java.lang.Object object, java.lang.Object value) 
+                throws IllegalStateException, IllegalArgumentException
+            {
+                try {
+                    ToolBar target = (ToolBar) object;
+                    target.setDescription((java.lang.String) value);
+                }
+                catch (java.lang.Exception ex) {
+                    throw new IllegalStateException(ex.toString());
+                }
+            }
+            public java.lang.Object newInstance( java.lang.Object parent ) {
+                return null;
+            }
+        } );
+        desc.setHandler(handler);
+        desc.setRequired(false);
+        addFieldDescriptor(desc);
+        
+        //-- validation code for: _description
+        fieldValidator = new org.exolab.castor.xml.FieldValidator();
+        { //-- local scope
+            StringValidator typeValidator = new StringValidator();
+            typeValidator.setWhiteSpace("preserve");
+            fieldValidator.setValidator(typeValidator);
+        }
+        desc.setValidator(fieldValidator);
+        
+        
         //-- _position
         desc = new org.exolab.castor.xml.util.XMLFieldDescriptorImpl(java.lang.Integer.TYPE, "_position", "position", org.exolab.castor.xml.NodeType.Attribute);
         handler = (new org.exolab.castor.xml.XMLFieldHandler() {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBar.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBar.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/plugins/config/generate/ToolBar.java	(revision 43099)
@@ -62,11 +62,13 @@
      * Field _name
      */
     private java.lang.String _name;
+    
+    private java.lang.String _description;
 
     /**
      * Field _position
      */
-    private int _position = 50;
+    private int _position = 0;
 
     /**
      * keeps track of state for field: _position
@@ -393,6 +395,16 @@
     } //-- java.lang.String getName() 
 
     /**
+     * Returns the value of field 'name'.
+     * 
+     * @return the value of field 'name'.
+     */
+    public java.lang.String getDescription()
+    {
+        return this._description;
+    } //-- java.lang.String getName() 
+
+    /**
      * Returns the value of field 'position'.
      * 
      * @return the value of field 'position'.
@@ -685,6 +697,16 @@
     } //-- void setName(java.lang.String) 
 
     /**
+     * Sets the value of field 'name'.
+     * 
+     * @param name the value of field 'name'.
+     */
+    public void setDescription(java.lang.String description)
+    {
+        this._description = description;
+    } //-- void setName(java.lang.String) 
+
+    /**
      * Sets the value of field 'position'.
      * 
      * @param position the value of field 'position'.
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 43099)
@@ -1846,6 +1846,45 @@
         return menuItems;
     }
 
+    private List<ToolBar> getOrderedToolBars() {
+        Map<String, ToolBar> toolbars = new HashMap<>();
+
+        Iterator<String> pluginNames = pluginsConfig.keySet().iterator();
+        while (pluginNames.hasNext()) { 
+            String pluginName = pluginNames.next();
+            String extensionName = "unknow";
+            try {
+                PluginConfig pc = pluginsConfig.get(pluginName);
+                Extension[] extensions = pc.getExtensions().getExtension();
+                for (Extension extension : extensions) {
+                    extensionName = extension.getClassName();
+                    ToolBar[] extensionToolbars = extension.getToolBar();
+                    for (ToolBar toolbar : extensionToolbars) {
+                        ToolBar x = toolbars.get(toolbar.getName());
+                        if ( x!=null ) {
+                            if( !x.hasPosition() && toolbar.hasPosition() ) {
+                                toolbars.put(toolbar.getName(), toolbar);
+                            }
+                        } else { 
+                            toolbars.put(toolbar.getName(), toolbar);
+                        }
+                    }
+                }
+            } catch (Exception ex) {
+                addError("Can't process tool-bars of extension '"+extensionName+"'.", ex);
+            }
+        }
+        List<ToolBar> toolBarsList = new ArrayList<>(toolbars.values());
+        Collections.sort(toolBarsList, new Comparator<ToolBar>() {
+
+            @Override
+            public int compare(ToolBar o1, ToolBar o2) {
+                return Integer.compare(o1.getPosition(), o2.getPosition());
+            }
+        });
+        return toolBarsList;        
+    }
+    
     /**
      * Installs the menus, toolbars, actiontools, selectable toolbars and
      * combos. The order in which they are shown is determined here.
@@ -1853,7 +1892,7 @@
     private void installPluginsControls() {
         logger.info("installPluginsControls (toolbars)");
 
-        Iterator<String> i = pluginsConfig.keySet().iterator();
+        Iterator<String> pluginNames = pluginsConfig.keySet().iterator();
 
         Map<Extension, PluginServices> extensionPluginServices = new HashMap<Extension, PluginServices>();
         Map<Extension, PluginConfig> extensionPluginConfig = new HashMap<Extension, PluginConfig>();
@@ -1864,11 +1903,11 @@
         // We need to iterate on the plugins, and iterate on each plugin's
         // extensions
         // (each plugin may contain one or more extensions)
-        while (i.hasNext()) { // iterate on the plugins
-            String pName = i.next();
+        while (pluginNames.hasNext()) { // iterate on the plugins
+            String pluginName = pluginNames.next();
             try {
-                PluginConfig pc = pluginsConfig.get(pName);
-                PluginServices ps = pluginsServices.get(pName);
+                PluginConfig pc = pluginsConfig.get(pluginName);
+                PluginServices ps = pluginsServices.get(pluginName);
 
                 Extension[] exts = pc.getExtensions().getExtension();
 
@@ -1893,15 +1932,21 @@
                         }
                     } catch (Throwable e) {
                         addError("Error initializing controls of plugin '"
-                                + pName + "' extension '" + cname + "'", e);
+                                + pluginName + "' extension '" + cname + "'", e);
                     }
                 }
             } catch (Throwable e) {
-                addError("Error initializing controls of plugin '" + pName
+                addError("Error initializing controls of plugin '" + pluginName
                         + "'", e);
             }
         }
 
+        
+        // Añade primero las toolbars ordenadas para garantizar el orden de estas
+        for( ToolBar toolbar : getOrderedToolBars() ) {
+            frame.addToolBar(toolbar.getName(), toolbar.getDescription(), toolbar.getPosition());
+        }
+
         TreeSet<SortableTool> orderedTools = new TreeSet<SortableTool>(
                 new ToolComparator());
         Iterator<Extension> e = orderedExtensions.iterator();
@@ -2039,9 +2084,9 @@
 
 		// Add the tools from MDI extensions to the ordered tool-list, so that
         // we get a sorted list containing all the tools
-        i = pluginsConfig.keySet().iterator();
-        while (i.hasNext()) {
-            String pName = (String) i.next();
+        pluginNames = pluginsConfig.keySet().iterator();
+        while (pluginNames.hasNext()) {
+            String pName = (String) pluginNames.next();
             try {
                 PluginConfig pc = (PluginConfig) pluginsConfig.get(pName);
                 PluginServices ps = (PluginServices) pluginsServices.get(pName);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/MDIFrame.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/MDIFrame.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/MDIFrame.java	(revision 43099)
@@ -298,7 +298,7 @@
         super.setTitle(titlePrefix + " : " + title);
     }
 
-    private SelectableToolBar getToolBar(final String toolBarName) {
+    private SelectableToolBar getToolBar(final String toolBarName, String pluginName) {
         SelectableToolBar jtb = (SelectableToolBar) toolBarMap.get(toolBarName);
         if ( jtb == null ) {
             jtb = new SelectableToolBar(toolBarName);
@@ -310,6 +310,25 @@
         return jtb;
     }
 
+    public SelectableToolBar  addToolBar(final String toolBarName, String description, int position) {
+        SelectableToolBar toolBar = (SelectableToolBar) toolBarMap.get(toolBarName);
+        if( toolBar == null ) {
+            toolBar = new SelectableToolBar(toolBarName, description, position);
+            toolBar.setRollover(true);
+            toolBar.setAndamiVisibility(true);
+            toolBarMap.put(toolBarName, toolBar);
+            toolBars.add(toolBar);
+            
+        } else if( toolBar.getPosition() < 1 ) {
+            toolBar.setPosition(position);
+            
+        } else if( toolBar.getPosition() != position ) {
+            logger.warn("Add duplicate tool-bar ("+toolBarName+") with diferent position.");
+        }
+        
+        return toolBar;
+    }
+    
     public void addTool(final PluginClassLoader loader, final SkinExtensionType ext,
             final ToolBar toolBar, final SelectableTool selectableTool)
             throws ClassNotFoundException {
@@ -330,7 +349,7 @@
             return;
         }
         String name = toolBar.getName();
-        SelectableToolBar jtb = getToolBar(name);
+        SelectableToolBar jtb = getToolBar(name, loader.getPluginName());
         if( selectableTool.getDropDownGroup()!=null ) {
             ActionInfoManager actionManager = PluginsLocator.getActionInfoManager();
             ActionInfo action = actionManager.getAction(selectableTool.getName());
@@ -422,7 +441,7 @@
         }
 
         String name = toolBar.getName();
-        SelectableToolBar jtb = getToolBar(name);
+        SelectableToolBar jtb = getToolBar(name, loader.getPluginName());
         if( actionTool.getDropDownGroup()!=null ) {
             ActionInfoManager actionManager = PluginsLocator.getActionInfoManager();
             ActionInfo action = actionManager.getAction(actionTool.getName());
@@ -487,7 +506,7 @@
             });
             return;
         }
-        SelectableToolBar jtb = getToolBar(toolBarName);
+        SelectableToolBar jtb = getToolBar(toolBarName, action.getPluginName());
         DropDownButton dropDownButton = (DropDownButton) jtb.findComponent(dropDownName);
         if( dropDownButton == null ) {
             dropDownButton = new DropDownButton();
@@ -528,7 +547,7 @@
             btn.setToolTipKey(action.getTooltip());
         }
 
-        SelectableToolBar jtb = getToolBar(toolBarName);
+        SelectableToolBar jtb = getToolBar(toolBarName, action.getPluginName());
         jtb.add(btn);
 
         addControl(btn);
@@ -573,7 +592,7 @@
             btn.setToolTipKey(action.getTooltip());
         }
 
-        SelectableToolBar jtb = getToolBar(toolBarName);
+        SelectableToolBar jtb = getToolBar(toolBarName, action.getPluginName());
         jtb.addButton(group, btn);
 
         addControl(btn);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/SelectableToolBar.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/SelectableToolBar.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/ui/mdiFrame/SelectableToolBar.java	(revision 43099)
@@ -41,6 +41,8 @@
      * hidden even if its associated extension is visible.
      */
     private boolean _visible;
+    private int position;
+    private String description;
 
     /**
      * Creates a new SelectableToolBar object.
@@ -48,9 +50,27 @@
      * @param titulo Título de la barra
      */
     public SelectableToolBar(String titulo) {
+        this(titulo,null,0);
+    }
+
+    public SelectableToolBar(String titulo, String description, int position) {
         super(titulo);
+        this.description = description;
+        this.position = position;
     }
 
+    public int getPosition() {
+        return this.position;
+    }
+    
+    public void setPosition(int position) {
+        this.position = position;
+    }
+    
+    public String getDescription() {
+        return this.description;
+    }
+    
     /**
      * Añade un boton a la caja
      *
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -48,10 +48,10 @@
                 text="View/Navigation/Localizador_por_atributo"
                 />
                 
-			<tool-bar name="view_navigation" position="3">
+	    <tool-bar name="view_navigation">
                 <action-tool name="view-navigation-locator-by-attribute"/>
             </tool-bar>
 
 		</extension>
 	</extensions>
-</plugin-config>
\ No newline at end of file
+</plugin-config>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java	(revision 43099)
@@ -23,10 +23,15 @@
  */
 package org.gvsig.app.extension.develtools;
 
+import java.awt.Component;
+import java.util.Arrays;
+import java.util.Comparator;
 import java.util.Iterator;
-
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.actioninfo.ActionInfo;
+import org.gvsig.andami.actioninfo.ActionInfoManager;
+import org.gvsig.andami.ui.mdiFrame.MainFrame;
+import org.gvsig.andami.ui.mdiFrame.SelectableToolBar;
 import org.gvsig.app.ApplicationLocator;
 import org.gvsig.app.ApplicationManager;
 import org.gvsig.tools.swing.api.windowmanager.WindowManager;
@@ -39,7 +44,74 @@
 		InfoPanel.save2file("actions-report", html);
 		InfoPanel.showPanel("Actions information", WindowManager.MODE.WINDOW, html);
 	}
+        
+        public void showToolBars() {
+            ActionInfoManager actionsManager = PluginsLocator.getActionInfoManager();
+            MainFrame mainFrame = ApplicationLocator.getManager().getMainFrame();
+            SelectableToolBar[] toolbars = mainFrame.getToolbars();
+            Arrays.sort(toolbars, new Comparator<SelectableToolBar>() {
+                @Override
+                public int compare(SelectableToolBar o1, SelectableToolBar o2) {
+                    return Integer.compare(o1.getPosition(), o2.getPosition());
+                }
+            });
+            
+            StringBuilder buffer = new StringBuilder();
 
+            buffer.append("<html>\n");
+            buffer.append("<body>\n");
+
+            buffer.append("<div>\n");
+            buffer.append("<h2>Toolbars information</h2>\n");
+            buffer.append("<br>\n");
+
+            buffer.append("<table border=\"0\">\n");
+            buffer.append("  <tr>\n");
+            buffer.append("    <td>Position</td>\n");
+            buffer.append("    <td>Name</td>\n");
+            buffer.append("    <td>Plugin</td>\n");
+            buffer.append("  </tr>\n");
+            for (SelectableToolBar toolBar : toolbars) {
+                buffer.append("  <tr valign=\"top\">\n");
+                buffer.append("    <td>")
+                        .append(toolBar.getPosition())
+                        .append("</td>\n");
+                buffer.append("    <td colspan=\"2\"><b>")
+                        .append(toolBar.getName())
+                        .append("</b> - ")
+                        .append(toolBar.getDescription())
+                        .append("</td>\n");
+                buffer.append("  </tr>\n");
+                Component item;;
+                for( int i=0; (item=toolBar.getComponentAtIndex(i))!=null; i++) {
+                    String name = item.getName();
+                    ActionInfo action = null;
+                    if( name!=null ) {
+                        action = actionsManager.getAction(name);
+                    }
+                    buffer.append("  <tr valign=\"top\">\n");
+                    buffer.append("    <td></td>\n");
+                    buffer.append("    <td>");
+                    buffer.append(name);
+                    buffer.append("    </td>\n");
+                    buffer.append("    <td>");
+                    if( action!=null ) {
+                        buffer.append(action.getPluginName());
+                    }
+                    buffer.append("</td>\n");            
+                    buffer.append("  </tr>\n");
+                }
+            }
+            buffer.append("</table>\n");
+            buffer.append("</div>\n");
+            buffer.append("</body>\n");
+            buffer.append("</html>\n");
+
+            String html = buffer.toString();
+            InfoPanel.save2file("toolbars-report", html);
+            InfoPanel.showPanel("Toolbars report", WindowManager.MODE.WINDOW, html);
+        }
+
 	public void showReportOfPlugin() {
 		ApplicationManager application = ApplicationLocator.getManager();
 		String pluginName = null;
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowDevelInfoExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowDevelInfoExtension.java	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/app/extension/ShowDevelInfoExtension.java	(revision 43099)
@@ -23,9 +23,6 @@
  */
 package org.gvsig.app.extension;
 
-import org.gvsig.andami.PluginsLocator;
-import org.gvsig.andami.actioninfo.ActionInfo;
-import org.gvsig.andami.actioninfo.ActionInfoManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.extension.develtools.ActionsInfoDevelTool;
 import org.gvsig.app.extension.develtools.IconThemeDevelTool;
@@ -39,13 +36,15 @@
 
 public class ShowDevelInfoExtension extends Extension {
 
-	private static Logger logger = LoggerFactory
+	private static final Logger logger = LoggerFactory
 			.getLogger(ShowDevelInfoExtension.class);
 
+        @Override
 	public void initialize() {
 		// Do nothing
 	}
 
+        @Override
 	public void postInitialize() {
 		super.postInitialize();
 //		ActionInfoManager actionMgr = PluginsLocator.getActionInfoManager();
@@ -63,6 +62,7 @@
 
 	}
 
+        @Override
 	public void execute(String actionCommand) {
 		if ("tools-devel-show-persistencefactories".equalsIgnoreCase(actionCommand)) {
 			new PersistenceDevelTool().showPersistenceFactories();
@@ -70,6 +70,8 @@
 			new IconThemeDevelTool().showDefaultIconTheme();
 		} else if ("tools-devel-show-actions".equalsIgnoreCase(actionCommand)) {
 			new ActionsInfoDevelTool().showActions();
+		} else if ("tools-devel-show-toolbars".equalsIgnoreCase(actionCommand)) {
+			new ActionsInfoDevelTool().showToolBars();
 		} else if ("tools-devel-show-menus".equalsIgnoreCase(actionCommand)) {
 			new MenusDevelTool().showAllMenus();
 		} else if ("tools-devel-show-menus-by-plugin".equalsIgnoreCase(actionCommand)) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -212,11 +212,24 @@
         name="application-project-saveas"
         />
 
-      <tool-bar name="project" position="1">
+      <tool-bar name="project" position="100" description="Project management tools">
         <action-tool name="application-project-new"/>
         <action-tool name="application-project-open"/>
         <action-tool name="application-project-save"/>
       </tool-bar>
+
+      <tool-bar name="view" position="200" description="Add layers to the view tools"/>
+      <tool-bar name="view_navigation" position="300" description="Tools to navigate in the view"/>
+      <tool-bar name="view_tools" position="400" description="Generics tools for the view"/>
+      <tool-bar name="view_tools_query" position="500" description="Query tools for the view"/>
+      <tool-bar name="selection" position="600" description="Selection tools for the view"/>
+      <tool-bar name="table" position="700" description="Core table tools"/>
+      <tool-bar name="table_tools" position="800" description="Generic tools for the table"/>
+      <tool-bar name="table_tools_addmeasurement" position="900"/>
+      <tool-bar name="edit" position="1000" description="Edit/copy/paste/undo/redo tools"/>
+      <tool-bar name="editing" position="1100" description="Tools for editing, start/end editing and vectorial tools"/>
+      <tool-bar name="core" position="10000" description="Core tools like preferences or console of errores"/>
+            
     </extension>
 
     <extension class-name="org.gvsig.app.extension.ViewProjectWindow"
@@ -263,7 +276,7 @@
         name="view-layer-add"
         text="View/Add_layer"
         />
-      <tool-bar name="view" position="30010">
+      <tool-bar name="view">
         <action-tool name="view-layer-add"/>
       </tool-bar>
     </extension>
@@ -286,7 +299,8 @@
         name="layer-addtolocator"
         text="Layer/add_to_locator"
        />
-      <!-- <tool-bar name="view" position="30010">
+      <!-- 
+      <tool-bar name="view">
         <action-tool name="add-to-locator"/>
       </tool-bar>
        -->
@@ -315,7 +329,7 @@
         name="view-navigation-zoom-back"
         text="View/Navigation/Zoom_back"
         />
-      <tool-bar name="view_navigation" position ="3">
+      <tool-bar name="view_navigation">
         <action-tool name="view-navigation-zoom-back"/>
       </tool-bar>
     </extension>
@@ -337,7 +351,7 @@
         name="view-navigation-zoom-next"
         text="View/Navigation/Zoom_next"
         />
-      <tool-bar name="view_navigation" position ="3">
+      <tool-bar name="view_navigation">
         <action-tool name="view-navigation-zoom-next"/>
       </tool-bar>
     </extension>
@@ -359,7 +373,7 @@
         name="layer-info-by-point"
         text="Layer/Query/_Information_by_point"
         />
-      <tool-bar name="view_tools_query" position="5">
+      <tool-bar name="view_tools_query">
         <selectable-tool name="layer-info-by-point" />
       </tool-bar>
     </extension>
@@ -552,7 +566,7 @@
         />
 
 
-      <tool-bar name="view_navigation" position="3">
+      <tool-bar name="view_navigation">
         <selectable-tool name="view-navigation-zoom-in-topoint" is-default="true" />
         <selectable-tool name="view-navigation-zoom-out-topoint" />
         <action-tool name="view-navigation-zoom-all"  />
@@ -560,7 +574,7 @@
         <action-tool name="view-navigation-zoom-out-center"  />
       </tool-bar>
 
-      <tool-bar name="view_navigation" position ="4">
+      <tool-bar name="view_navigation">
         <selectable-tool name="view-navigation-pan"/>
         <action-tool name="view-navigation-frame-manager" />
       </tool-bar>
@@ -600,7 +614,7 @@
         text="Layer/Query/Area"
         />
 
-      <tool-bar name="view_tools_query" position="5">
+      <tool-bar name="view_tools_query">
         <selectable-tool name="view-query-distance" />
         <selectable-tool name="view-query-area" />
       </tool-bar>
@@ -640,7 +654,7 @@
         text="Selection/Select_by_polygon"
         />
 
-      <tool-bar name="view_selection" position="6">
+      <tool-bar name="selection">
         <selectable-tool name="selection-select-by-rectangle-view" />
         <selectable-tool name="selection-select-by-polygon" />
       </tool-bar>
@@ -668,7 +682,7 @@
         text="Selection/Simple"
         />
 
-      <tool-bar name="view_selection" position="6">
+      <tool-bar name="selection">
         <selectable-tool name="selection-simple-select-view" />
       </tool-bar>
 
@@ -694,7 +708,7 @@
         text="Selection/Select_by_layer"
         />
 
-      <tool-bar name="view_selection" position="6">
+      <tool-bar name="selection">
         <action-tool name="selection-select-by-layer" />
       </tool-bar>
     </extension>
@@ -718,7 +732,7 @@
         text="Selection/Reverse"
         />
 
-      <tool-bar name="view_selection" position="6">
+      <tool-bar name="selection">
           <action-tool name="selection-reverse-view" />
       </tool-bar>
 
@@ -764,7 +778,7 @@
         text="View/Navigation/Zoom_to_selection"
         />
 
-      <tool-bar name="view_navigation" position="3">
+      <tool-bar name="view_navigation">
         <action-tool name="view-navigation-zoom-to-selection" />
       </tool-bar>
 
@@ -789,7 +803,7 @@
         text="Selection/_Clear"
         />
 
-      <tool-bar name="view_selection" position="6">
+      <tool-bar name="selection" position="6">
         <action-tool name="selection-clear-view" />
       </tool-bar>
 
@@ -814,7 +828,7 @@
         text="Selection/_Select_by_attributes"
         />
 
-      <tool-bar name="view_selection" position="12">
+      <tool-bar name="selection">
         <action-tool name="selection-by-attributes-layer" />
       </tool-bar>
 
@@ -932,6 +946,15 @@
         accelerator=""
         />
       <action
+        name="tools-devel-show-toolbars"
+        label="_Show_toolbars_information"
+        tooltip="_Show_toolbars_information"
+        position="908501001"
+        action-command="tools-devel-show-toolbars"
+        icon="tools-devel-show-toolbars"
+        accelerator=""
+        />
+      <action
         name="tools-devel-show-plugin-report"
         label="_Show_plugin_report"
         tooltip="_Show_plugin_report_of_actions_menus_and_icons"
@@ -973,6 +996,10 @@
       <menu
         name="tools-devel-show-actions"
         text="tools/Development/Show_actions_information"
+        />      
+      <menu
+        name="tools-devel-show-toolbars"
+        text="tools/Development/Show_toolbars_information"
         />
       <menu
         name="tools-devel-show-menus"
@@ -1112,7 +1139,7 @@
                 text="Edit/_Undo"
                 />
 
-            <tool-bar name="edit_tools">
+            <tool-bar name="edit">
                 <action-tool name="edit-undo-layer"/>
             </tool-bar>
 
@@ -1137,7 +1164,7 @@
                 text="Edit/_Redo"
                 />
 
-            <tool-bar name="edit_tools">
+            <tool-bar name="edit">
                 <action-tool name="edit-redo-layer"/>
             </tool-bar>
 
@@ -1162,7 +1189,7 @@
                 text="Edit/_Undo_redo_history"
                 />
 
-            <tool-bar name="edit_tools">
+            <tool-bar name="edit">
                 <action-tool name="edit-undo-redo-actions-layer"/>
             </tool-bar>
 
@@ -1195,7 +1222,7 @@
                 text="Layer/Modify/_Copy_selected_features_to_clipboard"
                 />
 
-            <tool-bar name="layer_modify">
+            <tool-bar name="edit">
                 <action-tool
                     name="layer-modify-clipboard-copy"
                     />
@@ -1221,7 +1248,7 @@
                 text="Layer/Modify/_Paste_features_from_clipboard"
                 />
 
-            <tool-bar name="layer_modify">
+            <tool-bar name="edit">
                 <action-tool
                     name="layer-modify-clipboard-paste"
                     />
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -43,7 +43,7 @@
 
       		<menu name="table-add-area" text="Table/_Add_measurement/area" />
         	
-      		<tool-bar name="table-add-measurement">
+      		<tool-bar name="table_tools_addmeasurement">
         		<action-tool name="table-add-area"/>
       		</tool-bar>
 		</extension>	
@@ -61,7 +61,7 @@
 
       		<menu name="table-add-perimeter" text="Table/_Add_measurement/perimeter" />
         	
-      		<tool-bar name="table-add-measurement">
+      		<tool-bar name="table_tools_addmeasurement">
         		<action-tool name="table-add-perimeter"/>
       		</tool-bar>
         </extension>
@@ -79,7 +79,7 @@
 
       		<menu name="table-add-xy" text="Table/_Add_measurement/add_x_y" />
         	
-      		<tool-bar name="table-add-measurement">
+      		<tool-bar name="table_tools_addmeasurement">
         		<action-tool name="table-add-xy"/>
       		</tool-bar>
         </extension>    	
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -55,7 +55,7 @@
 			  text="Selection/SelectAll"
 			  />
 
-			<tool-bar name="view_selection" position="6">
+			<tool-bar name="selection">
 				<action-tool name="selection-select-all"/>
 			</tool-bar>
 		</extension>
@@ -78,7 +78,7 @@
 			  text="Selection/Select_by_circle"
 			  />
 
-			<tool-bar name="view_selection" position="6">
+			<tool-bar name="selection">
 				<selectable-tool name="selection-select-by-circle"/>
 			</tool-bar>
 		</extension>
@@ -99,7 +99,7 @@
 			  name="selection-select-by-polyline"
 			  text="Selection/Select_by_polyline"
 			  />
-			<tool-bar name="view_selection" position="6">
+			<tool-bar name="selection">
 				<selectable-tool name="selection-select-by-polyline" />
 			</tool-bar>
 		</extension>
@@ -122,7 +122,7 @@
 			  text="Selection/Select_by_buffer"
 			  />
 
-			<tool-bar name="view_selection" position="6">
+			<tool-bar name="selection">
 				<action-tool name="selection-select-by-buffer" />
 			</tool-bar>
 		</extension>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -52,7 +52,7 @@
         text="Show/Console" 
         />
         
-      <tool-bar name="core" position="20">
+      <tool-bar name="core">
         <action-tool name="show-console" last="true" />
       </tool-bar>
       
@@ -88,7 +88,7 @@
         text="File/salir"
         />
 
-      <tool-bar name="core" position="20">
+      <tool-bar name="core">
         <action-tool name="edit-setup"/>
       </tool-bar>
       
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/resources-plugin/config.xml	(revision 43099)
@@ -54,7 +54,7 @@
                 text="Selection/_Clear"
             />
 
-            <tool-bar name="view_selection">
+            <tool-bar name="selection">
                 <action-tool
                     name="selection-clear-table"
                 />
@@ -80,7 +80,7 @@
                 text="Layer/_Show_attributes_table"
             />
 
-            <tool-bar name="view_actions">
+            <tool-bar name="view_tools">
                 <action-tool
                     name="layer-show-attributes-table"
                 />
@@ -132,7 +132,7 @@
                 text="Edit/_Undo_redo_history"
                 />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool name="edit-undo-redo-actions-table"/>
             </tool-bar>
 
@@ -157,7 +157,7 @@
                 text="Edit/_Redo"
             />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool
                     name="edit-redo-table"
                 />
@@ -183,7 +183,7 @@
                 text="Edit/_Undo"
             />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool
                     name="edit-undo-table"
                 />
@@ -209,7 +209,7 @@
                 text="Table/_Stop_editing"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="editing">
                 <action-tool
                     name="table-stop-editing"
                 />
@@ -234,7 +234,7 @@
                 text="Table/_Start_editing"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="editing">
                 <action-tool
                     name="table-start-editing"
                 />
@@ -259,7 +259,7 @@
                 text="Table/_Add_row"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-add-row"
                 />
@@ -285,7 +285,7 @@
                 text="Table/_Remove_row"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-remove-row"
                 />
@@ -325,7 +325,7 @@
                 text="Table/_Rename_column"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-remove-column"
                 />
@@ -368,7 +368,7 @@
                 text="Table/_Add_column"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-column-manager"
                 />
@@ -396,7 +396,7 @@
                 text="Edit/_Copy"
             />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool
                     name="edit-copy-table"
                 />
@@ -421,7 +421,7 @@
                 text="Edit/_Cut"
             />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool
                     name="edit-cut-table"
                 />
@@ -446,7 +446,7 @@
                 text="Edit/_Paste"
             />
 
-            <tool-bar name="edit_actions">
+            <tool-bar name="edit">
                 <action-tool
                     name="edit-paste-table"
                 />
@@ -501,7 +501,7 @@
                 text="Table/_Find_and_select_duplicates"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-order-asc"
                 />
@@ -532,7 +532,7 @@
                 text="Table/_Statistics"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="table-statistics"
                 />
@@ -587,7 +587,7 @@
                 text="Selection/_Reverse"
             />
 
-            <tool-bar name="selection_actions">
+            <tool-bar name="selection">
                 <selectable-tool
                     name="selection-move-up"
                 />
@@ -643,7 +643,7 @@
                 text="File/_Print"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="application-print-table"
                 />
@@ -692,7 +692,7 @@
                 text="Selection/_Select_by_attributes"
             />
 
-            <tool-bar name="table_actions">
+            <tool-bar name="table">
                 <action-tool
                     name="selection-by-attributes-table"
                 />
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/src/main/resources-plugin/config.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/src/main/resources-plugin/config.xml	(revision 43098)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/src/main/resources-plugin/config.xml	(revision 43099)
@@ -52,7 +52,7 @@
                 text="View/Anadir_capa_de_eventos"
                 />
                 
-			<tool-bar name="view" position="30015">
+			<tool-bar name="view">
 				<action-tool name="view-event-theme-add"/>
 			</tool-bar>
 		
@@ -60,4 +60,4 @@
 	</extensions>
 	
 
-</plugin-config>
\ No newline at end of file
+</plugin-config>
